#!/usr/bin/env python2.7
#
# Cambrionix Ltd - 2021
# Title: Python 2.7 - Flash LEDs
#
# This is sample software provided to you without implied warranty of any sort.
# You are free to use and adapt this for your own use.

import signal
import sys
from cbrxapi import cbrxapi 
import jsonrpc

handle = 0

def signal_handler(signal, frame):
    print("Closing connection")
    cbrxapi.cbrx_connection_close(handle)
    sys.exit(0)
    
result = cbrxapi.cbrx_discover("local")
if result==False:
    print("No Cambrionix unit found.")
    sys.exit(0)


unitId = result[0]
handle = cbrxapi.cbrx_connection_open(unitId)
nrOfPorts = cbrxapi.cbrx_connection_get(handle, "nrOfPorts")
print("The Cambrionix unit " + unitId + " has " + str(nrOfPorts) + " ports.")
try:
    cbrxapi.cbrx_connection_set(handle, "RemoteControl", True)
except jsonrpc.RPCFault:
    print("Unit does not accept RemoteControl")
    cbrxapi.cbrx_connection_close(handle)
    sys.exit(1)

try:
    j = 0
    while (j < 20000):
        print(j,)
        print(" ",)

        cbrxapi.cbrx_connection_set(handle, "LCDText.0.0", "Blinking... "+str(j))
        
        i = 1
        while (i <= nrOfPorts):
            
            cbrxapi.cbrx_connection_set(handle, "Port." + i + ".led1", 255*(j % 2))
            cbrxapi.cbrx_connection_set(handle, "Port." + i + ".led2", 255*(j % 2))
            cbrxapi.cbrx_connection_set(handle, "Port." + i + ".led3", 255*(j % 2))
            i = i + 1
        
        j = j + 1
        
    cbrxapi.cbrx_connection_close(handle)

except KeyboardInterrupt:
    print()
    print("Tidying up")
    cbrxapi.cbrx_connection_close(handle)
    sys.exit(0)
    
