use cbrx_quick_start::{Request, Params};

fn main() {
    
    let discovery = match Request::new("cbrx_discover", Params(["local"]), 0).send()
    {
        Ok(result) => result,
        Err(error) => {
            println!("Could not discover : {:?}", error);
            return;
        }
    };

    if let Some(discovered_hubs) = discovery.as_array()
    {
        for item in discovered_hubs
        {
            if let Some(hub_serial_number) = item.as_str()
            {
                if let Some(num_ports) = Request::new("cbrx_hub_get", Params([hub_serial_number, "nrOfPorts"]), 0).as_u64()
                {
                    println!("Discovered: {} with {} ports", hub_serial_number, num_ports);
                }
            }
        }
    }
}
